Skip to main content

Gmail Batch Get Metadata

Snapshot Catalog Entry

This page is generated from broker tools/list snapshot data.

POSTgoogle.gmail_batch_get_metadata

Fetch Gmail message metadata for multiple message IDs.

Request Body

{
"jsonrpc": "2.0",
"id": "google-gmail-batch-get-metadata-example",
"method": "tools/call",
"params": {
"name": "google.gmail_batch_get_metadata",
"arguments": {
"message_ids": [],
"metadata_headers": ""
}
}
}

Arguments Schema

{
"properties": {
"message_ids": {
"items": {
"type": "string"
},
"type": "array"
},
"metadata_headers": {
"anyOf": [
{
"items": {
"type": "string"
},
"type": "array"
},
{
"type": "null"
}
]
}
},
"required": [
"message_ids"
],
"type": "object"
}

Code Examples

curl -X POST 'https://madpanda3d.com/lab/mad-mcps/portal/api/mcp' \
-H 'Authorization: Bearer mad_live_***' \
-H 'Content-Type: application/json' \
-d '{
"jsonrpc": "2.0",
"id": "google-gmail-batch-get-metadata-example",
"method": "tools/call",
"params": {
"name": "google.gmail_batch_get_metadata",
"arguments": {
"message_ids": [],
"metadata_headers": ""
}
}
}'

Example Responses

{
"ok": true,
"message": "Tool google.gmail_batch_get_metadata executed successfully.",
"note": "Response shape varies by MCP tool. Inspect live responses for exact fields."
}